#include <fcntl.h>
#include "helicopter.xbm"
#define PLACE 2

typedef unsigned char u8;
typedef unsigned short u16;

u8 pgm[8192];

int
main()
{
  int i,j,r,s,v,f;
  u8 *patch = pgm + 6 + PLACE * 0x80;

  f = open( "at89_led.bin", O_RDWR );
  if( f > 0 )
  {
    read( f, pgm, 8192 );
    lseek( f, 0 , 0 );
  }
  printf( "u16 m1[] = {\n" );
  for( i = 0; i < 0x40; i++ )
  {
    v = 0;
    r = i >> 3;
    s = i & 7;
    for( j = 15; j >= 0; j-- )
    {
      v <<= 1;
      if( helicopter_bits[r + 8 * (j ^ 8)] & ( 1 << s ) )
	v |= 1;
    }
    printf( "0x%x,", v );
    *patch++ = v >> 8;
    *patch++ = v & 0xff;
  }
  printf( "};\n" );
  if( f > 0 )
  {
    write( f, pgm, 8192 );
    close(f);
  }
}
